package com.yunzhi.nanyang.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.TdDevice;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 设备表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Mapper
public interface TdDeviceMapper extends BaseMapper<TdDevice> {

    IPage<TdDevice> getPageBy(IPage<TdDevice> pg, @Param("deviceType") String deviceType,@Param("onlineStatus") Integer onlineStatus);

    TdDevice getExistByDevice(@Param("deviceType") String deviceType,@Param("deviceNo") String deviceNo);

    List<TdDevice> getListByTypes(@Param("typeList") List<String> typeList);
}
