package com.yunzhi.nanyang.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.TaDeviceJob;
import com.yunzhi.nanyang.entity.TaMachinery;

import java.util.List;

/**
 * 设备作业表;(ta_device_job)表服务接口
 * @author : http://njyunzhi.com
 * @date : 2022-11-3
 */
public interface TaDeviceJobService extends IBaseService<TaDeviceJob> {

     IPage<TaDeviceJob> statisOrgBy(IPage<TaDeviceJob> pg, String orgName, String deviceKind, String deviceNo, String startDate, String endDate, String machineryName, String userName, String phone);

     Double statisTotalArea(String orgName, String deviceKind, String deviceNo, String startDate, String endDate, String machineryName, String userName, String phone);

     List<TaDeviceJob> listOrgBy(String orgName, String deviceKind, String deviceNo, String startDate, String endDate, String machineryName, String userName, String phone);

    IPage<TaDeviceJob> getPageBy(IPage<TaDeviceJob> pg, String deviceKind, String deviceNo, String startDate, String endDate);

    List<TaMachinery> getMachineryListByUser(String userId);
}