package com.yunzhi.nanyang.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.TdDevice;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 设备表 服务类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
public interface ITdDeviceService extends IBaseService<TdDevice> {

    IPage<TdDevice> getPageBy(IPage<TdDevice> pg, String deviceType, Integer onlineStatus);

    TdDevice getExistByDevice(String deviceType, String deviceNo);

    List<TdDevice> getListByTypes(List<String> typeList);
}
